%define major		3
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		kpmcore
Version:	2.2.0
Release:	%mkrel 1
Summary:	Library for managing partitions by KDE programs
Group:		Graphical desktop/KDE5
License:	GPLv3+
URL:		https://github.com/KDE/kpmcore
Source0:	http://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz
#------------------------------------------------------
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
BuildRequires:	qttools5
#------------------------------------------------------
BuildRequires:	gettext
BuildRequires:	%{_lib}blkid-devel
BuildRequires:	%{_lib}atasmart-devel
BuildRequires:	%{_lib}parted-devel

BuildRequires:	%{_lib}kio-devel
BuildRequires:	%{_lib}kf5i18n-devel
BuildRequires:	%{_lib}kf5iconthemes-devel
#------------------------------------------------------
Requires:	parted
Requires:	e2fsprogs

%description
KPMcore contains common code for managing partitions by KDE Partition Manager
and other KDE projects.

%files -f %{name}.lang
%{_qt5_plugindir}/libpm*.so
%{_kf5_services}/pm*backendplugin.desktop
%{_kf5_servicetypes}/pm*backendplugin.desktop

#--------------------------------------------------------------------

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}kpmcore2 
Provides:	%{_lib}kpmcore2 = %version-%release

%description -n	%{libname}
Main library for %{name}.

%files -n %{libname}
%{_kf5_libdir}/lib%{name}.so.%{major}
%{_kf5_libdir}/lib%{name}.so.%{version}
#--------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development library for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development library for %{name}.

%files -n %{develname}
%{_includedir}/%{name}/
%{_kf5_libdir}/cmake/KPMcore
%{_kf5_libdir}/libkpmcore.so

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
rm -rf %buildroot
%make_install -C build

%find_lang %{name} --with-kde


%changelog
* Sat May 28 2016 bb <bb> 2.2.0-1pclos2016
- update

* Thu Mar 31 2016 bb <bb> 2.1.0-1pclos2016
- create

